function FindMinimalPolynomial(number, bound);
	for i in [1..bound] do
		PowerBasis:=[number^k : k in [0..i]];
		try
			coeff:=IntegerRelation(PowerBasis, 10^5);
			if Abs(&+[coeff[k]*number^(k-1) : k in [1..i+1]]) le 10^(-100) then
				return coeff;
			end if;
		catch e;
		end try;
	end for;
	return [];
end function;


function RecognizeNumberField(M);
	for i in [1..2] do
		for j in [1..2] do
			e:=M[i][j];
			coeff:=FindMinimalPolynomial(e,6);
			poly := PolynomialRing(Integers())!coeff;
			if poly ne 0 then
				if IsIrreducible(poly) and Degree(poly) ge 2 then
					// "Polynomial defining the number field:", poly;
					K<a>:=NumberField(poly);
					return K, a;
				end if;
			end if;
		end for;
	end for;
	return Rationals(), 1;
end function;

